package ru.kirillius.pf.sdn.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.kirillius.pf.sdn.entity.ApiToken;

import java.util.List;
import java.util.Optional;

public interface ApiTokenRepository extends JpaRepository<ApiToken, Long> {

    List<ApiToken> findByUserId(Long userId);

    Optional<ApiToken> findByIdAndUserId(Long id, Long userId);

    List<ApiToken> findByEnabledTrue();
}
